<?php

namespace AutoAdmin\Bundle\Seo\Model;

use AutoAdmin\Bundle\Content\Model\LocaleInterface;

class Alternate
{
    public function __construct(
        protected ?LocaleInterface $hrefLang,
        protected string $href,
    )
    {
    }

    public function getHrefLang(): ?LocaleInterface
    {
        return $this->hrefLang;
    }

    public function setHrefLang(?LocaleInterface $hrefLang): self
    {
        $this->hrefLang = $hrefLang;

        return $this;
    }

    public function getHref(): string
    {
        return $this->href;
    }

    public function setHref(string $href): self
    {
        $this->href = $href;

        return $this;
    }
}
